Bug 244747 - devel/spdlog: Update 1.4.2 -> 1.5.0 ; Change to the shared library
Summary: devel/spdlog: Update 1.4.2 -> 1.5.0 ; Change to the shared library
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-12 04:45 UTC by Yuri Victorovich
Modified: 2020-04-10 02:08 UTC (History)
0 users

See Also:
vanilla: maintainer-feedback+


Attachments
patch (4.94 KB, patch)
2020-03-12 04:46 UTC, Yuri Victorovich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2020-03-12 04:45:56 UTC
Change to the shared library would help to simplify ports that use it.
Comment 1 Yuri Victorovich freebsd_committer 2020-03-12 04:46:17 UTC
Created attachment 212344 [details]
patch
Comment 2 Vanilla I. Shu freebsd_committer 2020-03-13 08:04:00 UTC
Approved, please help to commit, thanks.
Comment 3 Yuri Victorovich freebsd_committer 2020-04-10 00:58:04 UTC
Committed, thanks!
Comment 4 commit-hook freebsd_committer 2020-04-10 00:58:26 UTC
A commit references this bug:

Author: yuri
Date: Fri Apr 10 00:57:58 UTC 2020
New revision: 531278
URL: https://svnweb.freebsd.org/changeset/ports/531278

Log:
  devel/spdlog: Update 1.4.2 -> 1.5.0; Change to shared library

  PR:		244747
  Approved by:	vanilla (maintainer)

Changes:
  head/databases/tiledb/Makefile
  head/devel/spdlog/Makefile
  head/devel/spdlog/distinfo
  head/devel/spdlog/pkg-plist
  head/net-im/mtxclient/Makefile
  head/net-im/nheko/Makefile
  head/science/qiskit-aer/Makefile
  head/sysutils/lizardfs/Makefile
  head/www/envoy/Makefile
  head/x11/waybar/Makefile
Comment 5 commit-hook freebsd_committer 2020-04-10 02:08:34 UTC
A commit references this bug:

Author: jbeich
Date: Fri Apr 10 02:08:16 UTC 2020
New revision: 531282
URL: https://svnweb.freebsd.org/changeset/ports/531282

Log:
  x11/waybar: track new package dependency after r531278

  0x00000001 NEEDED               Shared library: [libspdlog.so.1]

  PR:		244747

Changes:
  head/x11/waybar/Makefile